#ifndef ZPU
#include "stdio.h"
#endif

int ZPU_ID; 

#define OBJECT_ORIENTED
#ifdef OBJECT_ORIENTED
class Led
{
public:
    void on()
    {
        ledState = 1;
    }
    void off()
    {
        ledState = 0;
    }
    int get()
    {
        return(ledState);
    }
private:
    int ledState;
};

Led led1;
Led led2;

#else

int led1;
int led2;

void on(int* pLed)
{
    *pLed = 1;
}


void off(int* pLed)
{
    *pLed = 0;
}

int get(int* pLed)
{
    return(*pLed);
}
#endif



int main()
{
#ifdef OBJECT_ORIENTED
    led1.on();
    led2.off();
    return(led2.get());
#else
    on(&led1);
    off(&led2);
    return (get(&led2));
#endif
}

